### Function

# GLib timeout_source_new_seconds

since: 2.14

#### Declaration [src]

    GSource*
    g_timeout_source_new_seconds (
      guint interval
    )

#### Description [src]

Creates a new timeout source.

The source will not initially be associated with any `GMainContext` and must be added to one with `g_source_attach()` before it will be executed.

The scheduling granularity/accuracy of this timeout source will be in seconds.

The interval given is in terms of monotonic time, not wall clock time. See `g_get_monotonic_time()`.

Available since: 2.14

#### Parameters

`interval`

  Type: `guint`

  The timeout interval in seconds.

#### Return value

Type: `GSource`

The newly-created timeout source.

The caller of the function takes ownership of the data, and is responsible for freeing it.